> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List live streams

> ListLiveStreams

 Return list of live streams.



## OpenAPI

````yaml get /streaming/live_streams/v1
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /streaming/live_streams/v1:
    get:
      tags:
        - LiveStreamService
      description: |-
        ListLiveStreams

         Return list of live streams.
      operationId: LiveStreamService_ListLiveStreams
      parameters:
        - name: page_size
          in: query
          description: Maximum number of records to return
          schema:
            type: integer
            format: int32
        - name: page_token
          in: query
          description: >-
            If this field is not empty then it must contain the
            `next_page_token` value
             returned by a previous call to this method.  Using this field causes the
             method to return additional results from the previous method call.
          schema:
            type: string
        - name: project_id
          in: query
          description: ID of the project from which live streams are returned.
          required: true
          schema:
            type: string
        - name: filter
          in: query
          description: |-
            You can filter list of live streams by video_id.
             Example: `video_id:123`
          schema:
            type: string
        - name: include_simulcasts
          in: query
          description: >-
            If true, the response will include simulcasts information. Defaults
            to false.
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.streaming.live_stream.v1.ListLiveStreamsResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.streaming.live_stream.v1.ListLiveStreamsResponse:
      type: object
      properties:
        live_streams:
          type: array
          items:
            $ref: '#/components/schemas/motto.streaming.live_stream.v1.LiveStream'
        next_page_token:
          type: string
          description: >-
            If there are more results than have been returned, then this field
            is set
             to a non-empty value.  To see the additional results,
             use that value as `page_token` in the next call to this method.
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.streaming.live_stream.v1.LiveStream:
      required:
        - project_id
        - name
        - region
      type: object
      properties:
        id:
          readOnly: true
          type: string
        project_id:
          type: string
        name:
          type: string
        region:
          enum:
            - REGION_UNSPECIFIED
            - REGION_AF
            - REGION_AS
            - REGION_EU
            - REGION_NA
            - REGION_OC
            - REGION_SA
          type: string
          format: enum
        rtmp_ingest_id:
          type: string
        video_id:
          readOnly: true
          type: string
        simulcasts:
          type: array
          items:
            $ref: '#/components/schemas/motto.streaming.simulcast.v1.Simulcast'
        accept_input:
          type: boolean
          description: |-
            Accept input from the input source.
             If set to false, the live stream will not accept input from the input source
             regardless of the input source's state (e.g., the input source is live).
             If set to true, the live stream will accept input from the input source
             if the input source is live.
             By default, it is set to `true`.
        priority:
          type: string
          description: >-
            Priority of the live stream. This is used to sort the live streams
            and to discover the next live stream to run when
             multiple streams are connected to a shared ingest.
        rtmp_ingest_url:
          readOnly: true
          type: string
          description: |-
            An RTMP ingest URL that can be used to stream to this live stream.
             When this is provided, this should be used instead of the the streaming details associated with the `ingest_id` field(s).
        srt_ingest_url:
          readOnly: true
          type: string
          description: |-
            An SRT ingest URL that can be used to stream to this live stream.
             When this is provided, this should be used instead of the the streaming details associated with the `ingest_id` field(s).
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.streaming.simulcast.v1.Simulcast:
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: Id of the simulcast
        name:
          type: string
          description: Name of the simulcast
        status:
          readOnly: true
          enum:
            - SIMULCAST_STATUS_UNSPECIFIED
            - SIMULCAST_STATUS_IDLE
            - SIMULCAST_STATUS_STARTING
            - SIMULCAST_STATUS_ACTIVE
            - SIMULCAST_STATUS_STOPPED
            - SIMULCAST_STATUS_FAILED
          type: string
          format: enum
        rtmp_target:
          $ref: '#/components/schemas/motto.streaming.simulcast.v1.RTMPTarget'
          description: >-
            Important: at most one of `rtmp_target`, `srt_target` may be set per
            request.
        srt_target:
          $ref: '#/components/schemas/motto.streaming.simulcast.v1.SRTTarget'
          description: >-
            Important: at most one of `rtmp_target`, `srt_target` may be set per
            request.
        is_external:
          readOnly: true
          type: boolean
          description: >-
            If true, this indicates the simulcast is configured to operate in a
            third-party environment like Cloudflare.
             This means that some features may not be available.
    motto.streaming.simulcast.v1.RTMPTarget:
      required:
        - url
      type: object
      properties:
        url:
          type: string
          description: RTMP target. The stream_key may be included in the url.
        stream_key:
          type: string
          description: >-
            RTMP stream key. This may be left empty if the stream_key is in the
            url.
    motto.streaming.simulcast.v1.SRTTarget:
      required:
        - url
      type: object
      properties:
        url:
          type: string
          description: >-
            SRT target. This should be the full SRT url to simulcast to,
            including any parameters that may be included (e.g. `streamid`,
            `passphrase` and `latency`).
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````